Page MenuHomePhabricator

Decide and set up the Wikimedia Phabricator homepage
Closed, ResolvedPublic

Description

One really cool thing in the admin panel is that we can hide certain applications we don't want people to use, like maybe the wiki or the Conference chat thing.

Manifest
Tasks and bugs

COMMUNICATION

Feed

ORGANIZATION

Projects | People

Show More Applications

Customize Applications...

Details

Reference
fl12

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:19 AM
flimport set Reference to fl12.

demon wrote on 2014-02-07 18:38:01 (UTC)

Ideally we'd want to shut off the wiki entirely, not just hide it. It's redundant to mw.org and wikitech :)

demon wrote on 2014-02-07 18:47:06 (UTC)

Uninstalled the wiki application.

ragesoss wrote on 2014-04-07 19:29:18 (UTC)

Macro jimmy_banner: please read: a personal appeal from Jimmy Wales

Can we port the memes engine to mediawiki?

qgil wrote on 2014-04-19 16:53:51 (UTC)

◀ Merged tasks: T155.

qgil wrote on 2014-04-21 01:40:58 (UTC)

Many Wikimedia users landing these days are confused with the many options and their names. T119 has some opinions that could be considered representative of a wider confusion.

When I find the way to configure the apps in the homepage (big, small, invisible) then I would like to try a default friendly with new users, focusing in bug reporting, as suggested at T155. Developers and other power users can customize their homepage at http://fab.wmflabs.org/settings/panel/home/

Draft of the sidebar coming soon.

qgil wrote on 2014-04-22 17:54:52 (UTC)

Copied from Phabricator

Is there a way to customize the default homepage sidebar (big, small, invisible elements) for all users? I can't find the option in the Admin panel.
<qgil> (I can see how to do it for yourself only)
<asherkin> not yet, let me find the task
<asherkin> qgil: T4103
<phabot> T4103: Implement "Role Profiles" to provide search, homepage and application defaults - https://secure.phabricator.com/T4103
<qgil> thank you asherkin
<qgil> asherkin, I'm already subscribed to that one. What I'm asking is simpler: how to customize the default for everybody, without waiting for user roles.
<qgil> asherkin, for instance, https://developer.blender.org/ has different defaults
<asherkin> qgil: they maintain a stack of local patches
<qgil> asherkin, I see, thank you.

qgil wrote on 2014-04-22 17:56:07 (UTC)

In other words, today it could be done, but it would require a local patch.

qgil wrote on 2014-04-23 21:14:10 (UTC)

Reported upstream: https://secure.phabricator.com/T4883

mattflaschen wrote on 2014-05-11 12:57:20 (UTC)

If we configure this, another one to hide by default would be Diviner (documentation). It says, "Right now, Diviner isn't very useful for generating documentation for projects other than Phabricator.", so we may even want to disable it (we also already have Doxygen, wiki docs, etc.)

qgil wrote on 2014-05-13 19:06:58 (UTC)

+1 to disable Diviner.

mattflaschen wrote on 2014-05-13 19:44:28 (UTC)

See T330: Choose a standard template language, which is about which to have enabled. An application can be enabled, but not on the default home page.

qgil wrote on 2014-05-13 23:23:08 (UTC)

Any objections to the sidebar proposal defined above in the task description? Otherwise I will move this task to "Ready to Go".

jdforrester wrote on 2014-05-14 06:44:51 (UTC)

Possibly add Pholio for e.g. a general 'what designs are people proposing' view, though now I suggest it it seems less useful. Let's go with this.

qgil wrote on 2014-06-02 22:09:34 (UTC)

Just a small detail: the current plan is to deploy first Phabricator with Legalpad only, fulfilling the requirement for the Trusted User Tool project. In this case, only Legalpad and People will be needed before enabling Maniphest and the rest of apps related to Day 1.

Rush wrote on 2014-07-03 18:46:32 (UTC)

closing this to make a ticket for legalpad and for main phab separeately, this has changed dramatically in the last few months. The menu's no longer look the same, and are no longer managed the same either. So this ticket is kind of confusing as is.

qgil wrote on 2014-08-26 09:11:08 (UTC)

In T12#49, @Rush wrote:

closing this to make a ticket for legalpad and for main phab separeately

What is the right task to discuss this for main phab?

Rush wrote on 2014-08-26 16:06:22 (UTC)

In T12#52, @Qgil wrote:
In T12#49, @Rush wrote:

closing this to make a ticket for legalpad and for main phab separeately

What is the right task to discuss this for main phab?

yeah...I failed to make another task I think? So let's make one for what to do with the dashboard app?

http://fab.wmflabs.org/dashboard/

The style of dashboard on the frontpage of this instance is a decent example of what's possible. There are a few templates now, etc, I will try to get this instance upgraded to be a better test bed for that. I don't know if what to put on the dashboard is a blocker for day 1 or if it's controversal or not.

I had some rough idea of a pointers to the phab docs in mediawiki with a welcome and some task breakdowns.

qgil wrote on 2014-08-26 20:49:46 (UTC)

This is really simple for Day 1, so I will just reopen this task.

What content will we have in the left column for anoinymous users and plain registered users? Can we agree on

  • Maniphest
  • Projects
  • People
  • Applications

?

Also, what content will we have in the body of the home, where currently there is a "!NOTICE!" and "Messages of the day"? How can this content be edited in fab.wmflabs.org? I'm happy to draft the content for Day 1.

qgil wrote on 2014-08-26 20:50:48 (UTC)

Taking while we discuss the plan. I will reassign to Rush for the actual implementation in the production site.

Rush wrote on 2014-08-26 21:16:53 (UTC)

I don't know if there is the ability to set the left bar applications yet again. Does anyone see it?

qgil wrote on 2014-08-26 21:43:29 (UTC)

Differential, Diffusion, and Audit will not be installed in the production instance on Day 1, so I guess they will not show up in the left column. Problem solved?

aklapper wrote on 2014-08-26 21:45:55 (UTC)

I currently do not see a way to do this.

We currently cannot decide on an admin level to only list 7 specific Phab applications in the sidebar on the frontpage of phabricator.wikimedia.org while having 20 Phab applications enabled. (Random numbers, obviously)
Nothing in http://fab.wmflabs.org//config/all/
It's only possible on a user level who can decide which apps to pin via http://fab.wmflabs.org/settings/panel/home/

Related upstream tickets are in flux: https://secure.phabricator.com/T4883 and https://secure.phabricator.com/T4103. Plus see e.g. https://secure.phabricator.com/T4980 and related dependencies.

Rush wrote on 2014-08-26 21:46:21 (UTC)

good with me, the dashboard panel though can do lots of neat things so that part is still up in the air

aklapper wrote on 2014-08-26 21:48:41 (UTC)

...and for the #Trusted_User_Tool project we simply display in the side pane those applications which are currently enabled in that instance.

qgil wrote on 2014-08-26 22:05:20 (UTC)

In T12#63, @Rush wrote:

good with me, the dashboard panel though can do lots of neat things so that part is still up in the air

The default template already looks good to me: http://fab.wmflabs.org/dashboard/view/3/

I will play with that dashboard tomorrow.

qgil wrote on 2014-08-27 20:09:02 (UTC)

In T12#64, @Aklapper wrote:

...and for the #Trusted_User_Tool project we simply display in the side pane those applications which are currently enabled in that instance.

Not really, see T449: USER GROUP: Work towards a Developer Community .

Rush wrote on 2014-08-28 21:41:44 (UTC)

In T12#65, @Qgil wrote:
In T12#63, @Rush wrote:

good with me, the dashboard panel though can do lots of neat things so that part is still up in the air

The default template already looks good to me: http://fab.wmflabs.org/dashboard/view/3/
I will play with that dashboard tomorrow.

andre could you list the docs you want linked to in mediawiki.org on the default dashboard? I can then make a dashboard using this template that seems appropriate and we can resolve this ticket if seems good. (may force you to make docs? idk :)

aklapper wrote on 2014-08-28 21:57:49 (UTC)

Candidates from the top of my head (and after looking at Bugzilla's footer):

qgil wrote on 2014-08-29 09:03:58 (UTC)

I'm starting to work on this.

qgil wrote on 2014-08-29 12:15:34 (UTC)

Have a look: http://fab.wmflabs.org/dashboard/view/3/

aklapper wrote on 2014-08-29 13:21:09 (UTC)

That looks pretty great to me! Thank you Quim!

qgil wrote on 2014-08-29 17:28:55 (UTC)

Good! Now it's the homepage of this instance. Ideas for improvement are still welcome.

A couple of things:

  • Anonymous users won't see information about users (I knew this and I filed a bug upstream that I need to find). No big deal.
  • works upstream, but not here. It must be a recent adition. See the Remarkup reference.
  • I will add a link to instructions to customize your homepage.

qgil wrote on 2014-09-01 13:37:21 (UTC)

In T12#76, @Qgil wrote:
  • I will add a link to instructions to customize your homepage.

In fact I won't -- at least not at the beginning, when there will be enough new links and things to look at.

Pausing my work here until we have the instance in production running. Then I will recreate the panels and dashboard manually.

qgil wrote on 2014-09-02 11:33:25 (UTC)

Following with T64#53, now the dashboard in the homepage and all the panels used by it can be edited by Phabricator team members.

Rush wrote on 2014-09-02 15:38:17 (UTC)

seems good to me, two thoughts:

  1. Getting Things Done....confusing box title...I'm not even sure why it's named that instead of like Welcome or something. IDK doesn't matter if it makes sense to others.
  1. Can we get a FAQ link to a wiki page in ^that box I can start putting things in? Unsure where in the wiki it would go.

Thanks

aklapper wrote on 2014-09-02 15:48:19 (UTC)

See T12#70 first item I'd say: https://www.mediawiki.org/wiki/Phabricator/Help

I'm more after getting content there (also see T350).
Structuring it or moving it to subpages can be done afterwards.

Rush wrote on 2014-09-02 16:26:58 (UTC)

bothered andre a bit more about this, and we agreed on a FAQ for now (mainly to provide more technical content outside of a regular HELP)

aklapper wrote on 2014-09-02 16:32:45 (UTC)

I personally have problems to differentiate "FAQ" vs "Help" but that depends on technical and language background I assume.

Hence please go ahead; we can still move content into subpages or differentiate by page audience (ops, admins, end users, triagers etc) like I tried on https://www.mediawiki.org/wiki/Bug_management#Documentation . I'm mostly after getting things covered first, how to organize them in the best way is second.

qgil wrote on 2014-09-02 16:45:18 (UTC)

I think linking to FAQ & Help here at the same level is confusing. Why not organizing everything under https://www.mediawiki.org/wiki/Phabricator/Help ? We can have as many subpages as you want there, links to other pages, etc.

Rush wrote on 2014-09-02 16:48:38 (UTC)

no need to have it on the main page, my main concern is separating the levels of content by audience understanding (i.e. writing docs for other opsen)

qgil wrote on 2014-09-03 15:51:50 (UTC)

Yes, this is totally fine. https://www.mediawiki.org/wiki/Phabricator/Help is currently just a simple and flat page, but we can add as many subpages as we need.

Rush wrote on 2014-09-03 17:59:00 (UTC)

some ppl mentioned "log in" showing up even when logged in is confusing. idk what's better tho.

qgil wrote on 2014-09-03 20:48:57 (UTC)

"some people", heh. Yes, I was conscious of this problem when I added the link, but we have actual emails from first-time users sent to mailing lists where they report their confusion trying to find the way to register before understanding that the answer is that power button.

I'd say let's keep it for Day 1 and following weeks, and then remove it once the first wave of new users is well past.

Rush wrote on 2014-09-03 21:15:50 (UTC)

it wasn't me honest :)

mattflaschen wrote on 2014-09-06 00:17:56 (UTC)

I'm just curious, what is All Wikimedians Welcome?

Is that planned for production?

qgil wrote on 2014-09-06 08:08:00 (UTC)

In T12#91, @mattflaschen wrote:

I'm just curious, what is All Wikimedians Welcome?

Three most recent registered users.

Is that planned for production?

Yes, just like the rest of the current homepage, unless we have a better proposal. The idea is to make Phabricator more human/social for newcomers, more approachable, less scary.

PS: also the "Getting Things Done" title is geared mainly toward newcomers. Phabricator is not only Bugzilla (bug reporting) migrated, and it is not even dedicated exclusively to software development projects. The potential range of users in scope is a lot wider, but I think we can welcome them properly just with a couple of details in the homepage, thanks to Phabricator's usability and our approach on limited permissions (meaning less options) for new/casual users.

Qgil claimed this task.Sep 17 2014, 7:01 PM
Qgil added a subscriber: Aklapper.Sep 17 2014, 7:04 PM

It looks like I can create dashboards and panels with the current permissions. I might need @Aklapper's help as admin to install the dashboard to become default for everybody. I will report here.

Qgil set Security to None.
Qgil closed this task as Resolved.Sep 21 2014, 2:41 PM

I think the homepage is good enough for now. We can improve it based on users' frequent questions and feedback.

The idea is that the "Getting Things Done" and the "Activity" panels will stay as they are (evolving as needed), while the "Migration In Process" and other panels that we can add and remove below will be temporary.

At the end I have decided not to add the "New Wikimedians" panel because anonymous users get a confusing "No data etc..." error message inside the panel (Phabricator doesn't allow anonymous users to check registered users info). An ideal option would be to show that panel only to registered users, but this is not supported either.

I can see how in the near future we will have custom dashboards for triagers and other types of advanced users, but Day 1 needs to be in the past before entertaining myself with this. :)

Closing.

Qgil added a comment.Sep 21 2014, 9:33 PM

Forgot to say: I will add the Mockups tsab that we had in fab as soon as uploads are enabled. Doing it now would be unnecessarily provocative and confusing. :)

Qgil added a subscriber: Qgil.Oct 3 2014, 6:51 PM
In T8#5218, @Qgil wrote:

Forgot to say: I will add the Mockups tab that we had in fab as soon as uploads are enabled.

Done, and homepage v1.0 finished.